Subject: RE: are we willing to do change how we do discussions in IETF?(was: moving from hosts to sponsors)

From: "Hallam-Baker, Phillip" <[email-masked]>
Date: Mon, 26 Jun 2006 15:39:54 -0700

> From: Robert Sayre [mailto:[email-masked]] 

> > The solution in this case is to propose an alternative 
> schema mechanism.
> > People speak highly of relax.
> 
> Use Relax NG.
> 
> >
> > It is an issue but not a major one, certainly XML Schema is 
> broken and 
> > should be fixed
> 
> Can't be fixed, from what I know. I do think it is a major issue.
> 
> >
> > but the solution is not to bar its use, that is predjudice 
> masquerading as architecture.
> 
> The banning suggestion was ha-ha-only-serious, but it would 
> not be prejudice. It would be discrimination, in the best 
> sense of the word.

The solution is not to ban XML Schema, rather it is to insist on Relax NG or to make it clear that Relax is the prefered route.

When I was writing XML specs it was far too soon to be making categorical judgements such as avoid XML Schema.

But what I do protest is the insertion of ill judged opinion as authority. For example   there is good reason to make sure that an email security scheme plays nicely with both S/MIME and OpenPGP. There is absolutely no point in insisting on support for PEM, MOSS or any other aborted start. There is good reason to require Web Services to support layering on top of the SOAP stack. It makes absolutely no sense to require support for BEEP as if it was still an equally viable alternative.

_______________________________________________
Ietf mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ietf